{% extends "base.html.twig" %}

{% block title %}3DNOVA{% endblock %}

{% block body %}

  {% if step == 2 %}
      {% set title = 'Votre situation' %}
      {% set subtitle = '(données indispensables à la simulation)' %}
  {% elseif step == 3 %}
      {% set title = 'Votre bien' %}
      {% set subtitle = '(données indispensables à la simulation)' %}
  {% else %}
    {% set title = 'Informations générales' %}
    {% set subtitle = 'Vérifiez et complétez les informations' %}
  {% endif %}
    {% set previousStep = step - 1 %}

  <h1><img src="/images/icone-questionnaire.png" class="icone ml-5" alt="icone"/> Questionnaire à compléter</h1>
  {#<div class="container text-center mb-">#}
      {#<p><img src="/images/attention.png" class="icone mb-1" alt="icone"/>Remplissez les champs puis sauvegarder et passer à la page suivante.<img src="/images/attention.png" class="icone mb-1" alt="icone"/></p>#}
  {#</div>#}
  <div class="container">
    <h2 class=" text-center">({{ step }} / 3) - {{ title }}</h2>
    <h5 class="text-center">{{ subtitle }}</h5>

        {{ form_start(form) }}
        {{ form_errors(form) }}
        {% for child in form %}
            {% if child.vars.name != 'submit' %}
                {{ form_row(child) }}
            {% endif %}
        {% endfor %}
      <div class="form-group row clearfix">
          <div class="col-sm-12">
              <small>Les paramètres suivis de <sup>*</sup> sont obligatoires</small><br><br>
          </div>
          <div class="col-sm-4 offset-sm-4">
              <a class="btn btn-outline-info surveyBotton" href="{{ path('questionnaire_owner', {'user_id':user_id, 'step': previousStep}) }}">Précédent</a>
          </div>
          <div class="col-sm-4">
              {{ form_widget(form.submit) }}
          </div>
      </div>
      {{ form_widget(form._token) }}
      {{ form_end(form, {'render_rest': false}) }}


    {#{% set previousStep = step - 1 %}#}
      {#{% set nextStep = step + 1 %}#}

    {#<a class="btn btn-outline-info surveyBotton" href="{{ path('questionnaire_owner', {'user_id':user_id, 'step': previousStep}) }}">Précédent</a>#}
    {#<a class="btn btn-outline-info surveyBottonNext" href="{{ path('questionnaire_owner', {'user_id':user_id, 'step': nextStep}) }}">Suivant</a>#}

</div>

{% endblock %}
